This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 499316 - Review Request: meterbridge - Meter Bridge for JACK
Review Request: meterbridge - Meter Bridge for JACK
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 499323
  Show dependency treegraph
 
Reported: 2009-05-06 01:47 EDT by Orcan Ogetbil
Modified: 2009-05-09 00:17 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.9.2-3.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-09 00:03:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orcan Ogetbil 2009-05-06 01:47:51 EDT
Spec URL: http://oget.fedorapeople.org/review/meterbridge.spec
SRPM URL: http://oget.fedorapeople.org/review/meterbridge-0.9.2-3.fc10.src.rpm
Description: 
%{name} is a software meter bridge is for the UNIX based JACK audio system.
It supports a number of different types of meter, rendered using the SDL
library and user-editable pixmaps.

rpmlint is silent

koji rawhide build:
   http://koji.fedoraproject.org/koji/taskinfo?taskID=1338073
Comment 1 Orcan Ogetbil 2009-05-06 01:49:35 EDT
Sorry, the description is:
%{name} is a software meter bridge for the UNIX based JACK audio system.
It supports a number of different types of meter, rendered using the SDL
library and user-editable pixmaps.
Comment 2 Parag AN(पराग) 2009-05-06 04:37:51 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1338073
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
cf683c623b12342a951f541c9e674cd162a9ad91  meterbridge-0.9.2.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package meterbridge-0.9.2-3.fc12.i586 =>
Requires: libSDL-1.2.so.0 libSDL_image-1.2.so.0 libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libjack.so.0 libm.so.6 libm.so.6(GLIBC_2.0) libm.so.6(GLIBC_2.1) libpthread.so.0 librt.so.1 rtld(GNU_HASH)
Provides: meterbridge = 0.9.2-3.fc10
+ Not a GUI application

suggestions:
1) should ask upstream to add contents to README.
2) License tag should be GPLv2+

APPROVED.
Comment 3 Orcan Ogetbil 2009-05-06 13:23:19 EDT
(In reply to comment #2)
> Review:

Thank you for the review Parag!

> suggestions:
> 1) should ask upstream to add contents to README.

I'll do that.

> 2) License tag should be GPLv2+

The source files do not specify the version of GPL in their headers. In this case we choose GPL+ as per the guidelines. Please see instrcution #4 at
    https://fedoraproject.org/wiki/Licensing/FAQ#How_do_I_figure_out_what_version_of_the_GPL.2FLGPL_my_package_is_under.3F

Do I miss something?


New Package CVS Request
=======================
Package Name: meterbridge
Short Description: Meter Bridge for JACK
Owners: oget
Branches: F-9 F-10 F-11
InitialCC:
Comment 4 Kevin Fenzi 2009-05-06 17:19:54 EDT
cvs done.
Comment 5 Fedora Update System 2009-05-06 20:05:29 EDT
meterbridge-0.9.2-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/meterbridge-0.9.2-3.fc11
Comment 6 Fedora Update System 2009-05-06 20:06:00 EDT
meterbridge-0.9.2-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/meterbridge-0.9.2-3.fc10
Comment 7 Fedora Update System 2009-05-06 20:07:00 EDT
meterbridge-0.9.2-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/meterbridge-0.9.2-3.fc9
Comment 8 Parag AN(पराग) 2009-05-07 00:21:40 EDT
yes you are correct. make it GPL+.
Comment 9 Fedora Update System 2009-05-09 00:03:28 EDT
meterbridge-0.9.2-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-05-09 00:09:39 EDT
meterbridge-0.9.2-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-05-09 00:17:54 EDT
meterbridge-0.9.2-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.